package org.feup.apm.myauthenticator

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class CertActivity : AppCompatActivity() {
  private val tvCert by lazy { findViewById<TextView>(R.id.tv_cert) }

  override fun onCreate(savedInstanceState: Bundle?) {
    var user = ""

    super.onCreate(savedInstanceState)
    setContentView(R.layout.activity_cert)
    val cert =  getKey(Crypto.AUTH_KEY_ALIAS)!!.certificate
    val content = cert.toString()
    val res = dbLayer.getUsers()
    if (res.count > 0) {
      res.moveToFirst()
      user = res.getString(1) + ", " + res.getString(2) + ", " + res.getString(3) + ", " + res.getString(4)
    }
    tvCert.text = getString(R.string.tv_content, content, user)
  }
}